Package Gnumed :: Package business :: Module gmAllergy |
[frames] | no frames]

# Module gmAllergy

source code

GNUmed allergy related business object.

Version: $Revision: 1.34 $

Author: Carlos Moro <cfmoro1976@yahoo.es>

License: GPL

Classes
| cAllergyState Represents the allergy state of one patient.
| cAllergy Represents one allergy item.

Functions
ensure_has_allergy_state(encounter=None) | source code
create_allergy(allergene=None, allg_type=None, episode_id=None, encounter_id=None) Creates a new allergy clinical item. | source code

Variables
| allergy_states = ``[`None`,` 0`,` 1`]``
| __package__ = ``'``Gnumed.business``'``

Imports: types, sys, logging, pyDT, gmPG2, gmI18N, gmBusinessDBObject, gmDateTime

Function Details

### create_allergy(allergene=None, allg_type=None, episode_id=None, encounter_id=None) | source code
Creates a new allergy clinical item. allergene - allergic substance allg_type - allergy or sensitivity, pk or string encounter_id - encounter's primary key episode_id - episode's primary key